#delimit ;

*keep if sex==1;
drop if school==2;
*keep if hours>=35 & weeks>=40;
*replace perwt=perwt*hours*weeks/2000;

drop if gq==0 | gq==3 | gq==4; 
drop if age<18 | age>64;
keep if classwkd>=20 & classwkd<=28;

rename perwt weight;

generate byte edcode=1*(educrec<=6) + 2*(educrec==7) + 3*(educrec==8) + 4*(educrec==9);

generate exper=age-17 if edcode==1;
replace exper=age-19 if edcode==2;
replace exper=age-21 if edcode==3;
replace exper=age-23 if edcode==4;
drop if exper<1 | exper>40;
generate expcode=1*(exper>=1 & exper<=5) + 2*(exper>=6 & exper<=10) + 3*(exper>=11 & exper<=15) + 4*(exper>=16 & exper<=20)
		+5*(exper>=21 & exper<=25) + 6*(exper>=26 & exper<=30) + 7*(exper>=31 & exper<=35) + 8*(exper>=36 & exper<=40);

replace incearn=incearn*(pdeflator);
replace incwage=incwage*(pdeflator);

generate weekly=(incwage/weeks);
generate annual=(incwage);
generate wage=incwage/(weeks*hours);

generate lweekly=log(weekly);

keep lweekly weekly weight imm edcode expcode sex;
collapse (mean) lweekly weekly (count) sizew=weight (rawsum) sumweight=weight (sd) slweekly=lweekly sweekly=weekly [aw=weight], by(imm edcode expcode sex);

reshape wide lweekly weekly sizew sumweight slweekly sweekly,i(imm edcode expcode) j(sex);

sort imm edcode expcode;
merge imm edcode expcode using fixedweights_long.dta ;
tab _merge;
drop _merge;

gen lweekly=lweekly1*male+lweekly2*(1-male);
gen weekly=weekly1*male+weekly2*(1-male);
gen sizew=sizew1+sizew2;
gen sumweight=sumweight1+sumweight2;

gen varlweeklym=slweekly1^2/sizew1;
gen varlweeklyf=slweekly2^2/sizew2;

gen varlweekly=male^2*(slweekly1^2/sizew1)+(1-male)^2*(slweekly2^2/sizew2);
gen varweekly=male^2*(sweekly1^2/sizew1)+(1-male)^2*(sweekly2^2/sizew2);

keep lweekly weekly sizew sumweight varlweekly varweekly imm edcode expcode;

