drop _all
capture log close
#delimit;
set more 1;
set memory 750m;
set matsize 400;

*THIS FILE COUNTS INDIVIDUALS FOR THE PREFERRED SPECIFICATION;
*18-64, NON GQ, CORRECT DEFINITION OF IMMIGRANTS, EDUCREC FOR EDUCATION;

use "C:\Istata\PUMS\GRGR\Peri\Ipums\ipums60.dta",	clear;

generate byte imm=(bpld>=15000);
replace imm=0 if bpld==90011 | bpld==90021;

* DEFINE SAMPLE RESTRICTIONS, COMMON VARIABLES;
do restriction_pop;

generate survey=1960;
save rep60.dta, replace;


use	"C:\Istata\PUMS\GRGR\Peri\Ipums\ipums70.dta",	clear;

generate byte imm=(citizen==2 | citizen==3);

* DEFINE SAMPLE RESTRICTIONS, COMMON VARIABLES;
do restriction_pop;

generate survey=1970;
save rep70.dta, replace;


use	"C:\Istata\PUMS\GRGR\Peri\Ipums\ipums80.dta",	clear;

generate byte imm=(citizen==2 | citizen==3);

* DEFINE SAMPLE RESTRICTIONS, COMMON VARIABLES;
do restriction_pop;

generate survey=1980;
save rep80.dta, replace;



use	"C:\Istata\PUMS\GRGR\Peri\Ipums\ipums90.dta",	clear;

generate byte imm=(citizen==2 | citizen==3);

* DEFINE SAMPLE RESTRICTIONS, COMMON VARIABLES;
do restriction_pop;

generate survey=1990;
save rep90, replace;


use	"C:\Istata\PUMS\GRGR\Peri\Ipums\ipums00.dta",	clear;

generate byte imm=(citizen==2 | citizen==3);

* DEFINE SAMPLE RESTRICTIONS, COMMON VARIABLES;
do restriction_pop;

generate survey=2000;
save rep00.dta, replace;


use	"C:\Istata\PUMS\GRGR\Peri\Ipums\acs06.dta";

generate byte imm=(citizen==2 | citizen==3);

* DEFINE SAMPLE RESTRICTIONS, COMMON VARIABLES;
do restriction_pop;

gen survey=2006;
save rep06.dta, replace;


*POOL DATA ACROSS YEARS;
use rep60.dta, clear;
append using rep70.dta;
append using rep80.dta;
append using rep90.dta;
append using rep00.dta;
append using rep06.dta;

sort survey edcode expcode; 
save table4_pop, replace;
for any 60 70 80 90 00 06 04 : erase repX.dta;
